漏洞信息详情

RubyGems 路径遍历漏洞

  • CNNVD编号:CNNVD-201903-126
  • 危害等级: 高危
  • CVE编号: CVE-2019-8320
  • 漏洞类型: 路径遍历
  • 发布时间: 2019-03-05
  • 威胁类型: 远程
  • 更新时间: 2020-08-18
  • 厂        商:
  • 漏洞来源: Ubuntu,Debian

漏洞简介

RubyGems是RubyGems组织的一款Ruby程序包管理器。该产品主要用于发布和管理Ruby程序包。

RubyGems 2.7.6版本至3.0.2版本中存在目录遍历漏洞。攻击者可利用该漏洞删除用户设备上的任意文件,造成数据丢失或系统无法使用。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.ruby-lang.org/en/news/2019/03/05/multiple-vulnerabilities-in-rubygems/

参考网址

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2019-07/msg00036.html

来源:CONFIRM

链接:https://blog.rubygems.org/2019/03/05/security-advisories-2019-03.html

来源:MISC

链接:https://hackerone.com/reports/317321

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2020/08/msg00027.html

来源:REDHAT

链接:https://access.redhat.com/errata/RHSA-2019:1429

来源:www.ruby-lang.org

链接:https://www.ruby-lang.org/en/news/2019/03/05/multiple-vulnerabilities-in-rubygems/

来源:www.debian.org

链接:http://www.debian.org/security/2019/dsa-4433

来源:www.ubuntu.com

链接:http://www.ubuntu.com/usn/usn-3945-1

来源:www.ibm.com

链接:https://www.ibm.com/support/docview.wss?uid=ibm10960426

来源:www.ibm.com

链接:https://www.ibm.com/support/docview.wss?uid=ibm10887793

来源:www.ruby-lang.org

链接:https://www.ruby-lang.org/en/news/2019/03/13/ruby-2-5-4-released/

来源:lists.debian.org

链接:https://lists.debian.org/debian-lts-announce/2019/03/msg00037.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.2823/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-8320

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/77102

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/76486

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/152547/Debian-Security-Advisory-4433-1.html

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/152493/Ubuntu-Security-Notice-USN-3945-1.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/78922

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/79182

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/RubyGems-five-vulnerabilities-28892

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/78150

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多